# rw_composition.hh File Reference

Composition of two Rational-Weight transducers. More...

Include dependency graph for rw_composition.hh:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | vcsn

| The main namespace of the Vaucanson library.

## Functions

template<typename S , typename T >
void | rw_composition (const Element< S, T > &lhs, const Element< S, T > &rhs, Element< S, T > &ret)
| Composition for Rational-Weight transducers.
template<typename S , typename T >
Element< S, T > | rw_composition (const Element< S, T > &lhs, const Element< S, T > &rhs)
| Composition for Rational-Weight transducers.

## Detailed Description

Composition of two Rational-Weight transducers.

See also:
  rw_composition()

Definition in file rw_composition.hh.